Subject: Re: [PATCH next resend] tcp: use zero-window when free_space is low

From: Florian Westphal <[email-masked]>
Date: Mon, 17 Feb 2014 21:52:19 +0100

David Miller <[email-masked]> wrote:
> From: Florian Westphal <[email-masked]>
> Date: Thu, 13 Feb 2014 12:52:30 +0100
> 
> >  V1 of this patch was deferred, resending to get discussion going again.
> >  Changes since v1:
> >   - add reproducer to commit message
> > 
> >  Unfortunately I couldn't come up with something that has no magic
> >  ('allowed >> 4') value.  I chose >>4 (1/16th) because it didn't cause
> >  tput limitations in my 'full-mss-sized, steady state' netcat tests.
> > 
> >  Maybe someone has better idea?
> 
> I know this is going to be frustrating, but I've marked this 'deferred'
> again.  Please resubmit after the testing and further discussions have
> been worked out.

Thanks for letting me know.  I understand why you are reluctant to just
apply this.

I will submit another patch shortly that introduces snmp counter for zero-window
(what Eric suggested), perhaps it helps him or others to find a better solution
in the scenario.